Retrieve all DPU Machines

View as Markdown

Retrieve all DPU Machines for a Site in deterministic DPU Machine ID order.

DPU network configuration is not included when listing DPU Machines, please fetch the DPU Machine by ID to get the network configuration.

User must have authorization role with PROVIDER_ADMIN suffix on the org that owns the Site.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringRequiredformat: "uuid"
ID of the Site
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptionalDefaults to ID_ASC
DPU Machine ID ordering
Allowed values:

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstring
ID of the DPU Machine
infrastructureProviderIdstringformat: "uuid"
ID of the Infrastructure Provider that owns the host Machine
siteIdstringformat: "uuid"
ID of the Site that the host Machine belongs to
hostMachineIdstring
ID of the host Machine that this DPU is attached to
dpuAgentVersionstring
Version of the DPU agent running on the DPU
bmcInfoobject or null

BMC (Baseboard Management Controller) information for the DPU

dmiDataobject or null

DMI (Desktop Management Interface) data reported for the DPU

interfaceslist of objects or null
Interfaces reported on the DPU
softwareComponentslist of objects or null
Software components reported on the DPU
healthobject or null
Health information for the DPU
labelsmap from strings to strings or null
Labels associated with the DPU
statestring
Lifecycle state of the DPU
dpuNetworkConfigobject or null
Network configuration fields exposed by the REST API, or null when not requested or unavailable
lastRebooteddatetime or null
Last reboot timestamp
placementInRackobject or null
Physical placement of the DPU Machine within its Rack, when known

Errors

400
Bad Request Error
403
Forbidden Error